using System.Net;

using YandexMusic.API.Common;
using YandexMusic.API.Models.Album;
using YandexMusic.API.Models.Common;
using YandexMusic.API.Requests.Common;
using YandexMusic.API.Requests.Common.Attributes;

namespace YandexMusic.API.Requests.Album;

[YApiRequest(WebRequestMethods.Http.Post, "albums")]
public class YGetAlbumsBuilder : YRequestBuilder<YResponse<List<YAlbum>>, IEnumerable<string>>
{
    public YGetAlbumsBuilder(YandexMusicApi yandex, AuthStorage auth) : base(yandex, auth)
    {
    }

    protected override HttpContent GetContent(IEnumerable<string> albumIds)
    {
        return new FormUrlEncodedContent(new Dictionary<string, string> {
            { "album-ids", string.Join(",", albumIds) }
        });
    }
}